Изменить девайс

Изменяет девайс

Request

PATCH

https://corp.browser.yandex.ru/browser/public/api/browser-management/device/{deviceId}

Path parameters

Name

Description

deviceId

Type: DeviceId

Уникальный идентификатор устройства

Example: ``

DeviceId

Уникальный идентификатор устройства

Type: string

Example: example

Body

application/json
{
  "profileId": "example",
  "matchingState": "ENABLED or DISABLED",
  "shouldRestart": true
}

Name

Description

matchingState

Type: MatchingState

Статус участия девайса в процессе мэтчинга

Enum: ENABLED, DISABLED

profileId

Type: string

Example: example

shouldRestart

Type: boolean

Нужно ли перезагрузить девайс

MatchingState

Статус участия девайса в процессе мэтчинга

Type: string

Enum: ENABLED, DISABLED

Responses

200 OK

OK

Body

application/json
{
  "id": "example",
  "physicalDeviceId": "example",
  "brandName": "example",
  "computerName": "example",
  "deviceModel": "example",
  "machineName": "example",
  "osVersion": "example",
  "osPlatform": "example",
  "serialNumber": "example",
  "browserVersion": "example",
  "shouldRestart": true,
  "matchingState": "ENABLED or DISABLED",
  "profileId": "example",
  "personalProfileId": null,
  "licenceId": "example",
  "createdAt": "example",
  "updatedAt": "example",
  "userLogin": "example"
}

Name

Description

brandName

Type: string

Название бренда утсройства

Example: example

browserVersion

Type: string

Версия браузера на устройстве

Example: example

computerName

Type: string

Имя устройства

Example: example

createdAt

Type: string

Timestamp даты создания устройства

Example: example

deviceModel

Type: string

Модель устройства

Example: example

id

Type: DeviceId

Уникальный идентификатор устройства

Example: example

licenceId

Type: LicenceId | null

Уникальный идентификатор лицензии

Example: example

machineName

Type: string

Имя машины

Example: example

matchingState

Type: MatchingState

Статус участия девайса в процессе мэтчинга

Enum: ENABLED, DISABLED

osPlatform

Type: string

Платформа устройства

Example: example

osVersion

Type: string

Версия операционной системы

Example: example

physicalDeviceId

Type: string

Уникальный идентификатор реального устройства

Example: example

profileId

Type: ProfileId

Уникальный идентификатор профиля

Example: example

serialNumber

Type: string

Серийный номер устройства

Example: example

shouldRestart

Type: boolean

Нужно ли перезагрузить девайс

updatedAt

Type: string | null

Timestamp даты обновления устройства

Example: example

personalProfileId

Type: ProfileId | null

Уникальный идентификатор профиля

Example: example

userLogin

Type: string

Логин устройства

Example: example

ProfileId

Уникальный идентификатор профиля

Type: string

Example: example

LicenceId

Уникальный идентификатор лицензии

Type: string

Example: example

400 Bad Request

Невалидное body (VALIDATION with errors in payload)

404 Not Found

Не найдено устройство с таким deviceId или с таким партнером (NO_DEVICE_FOUND) или не найдено профиль с таким profileId (NO_PROFILE_FOUND)